#
# spec file for package python-construct
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-construct
Version:        2.5.1
Release:        4.2
License:        MIT
Summary:        A powerful declarative parser/builder for binary data
Url:            http://construct.readthedocs.org
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/construct/construct-%{version}.tar.gz
# PATCH-FEATURE-OPENSUSE split_debug.patch matwey.kornilov@gmail.com -- make debug.py non-loadable
Patch0:         split_debug.patch
BuildRequires:  python-devel
BuildRequires:  python-six
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Construct is a powerful declarative parser (and builder) for binary data.

Instead of writing imperative code to parse a piece of data, you declaratively
define a data structure that describes your data. As this data structure is not
code, you can use it in one direction to parse data into Pythonic objects, 
and in the other direction, convert ("build") objects into binary data.

%prep
%setup -q -n construct-%{version}
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Jul  8 2013 matwey.kornilov@gmail.com
- Version 2.5.1:
  - Misc fixes for python 3
  - Misc fixes in documentation
  - Allow the Pointer to relocate relative to EOF
* Wed May  8 2013 matwey.kornilov@gmail.com
- Add split_debug.patch: reason why do we want to do so is to use
  python-construct in embedded applications like rpmlint-mini
* Tue Apr 30 2013 speilicke@suse.com
- Package LICENSE and README.rst
* Mon Apr 29 2013 matwey.kornilov@gmail.com
- Initial version
